--- old/usr/src/cmd/dfs.cmds/sharemgr/commands.c	Thu Apr  4 13:55:27 2019
+++ new/usr/src/cmd/dfs.cmds/sharemgr/commands.c	Thu Apr  4 13:55:27 2019
@@ -23,6 +23,7 @@
  * Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  * Copyright 2012 Milan Jurik. All rights reserved.
+ * Copyright 2019, Joyent, Inc.
  */
 
 #include <sys/types.h>
@@ -1770,7 +1771,7 @@
 			}
 			(void) printf(gettext("usage: %s\n"),
 			    sa_get_usage(USAGE_LIST));
-				return (ret);
+			return (ret);
 		}
 	}
 
--- old/usr/src/cmd/fs.d/smbclnt/fksmbcl/Makefile	Thu Apr  4 13:55:28 2019
+++ new/usr/src/cmd/fs.d/smbclnt/fksmbcl/Makefile	Thu Apr  4 13:55:28 2019
@@ -21,6 +21,7 @@
 #
 # Copyright (c) 2007, 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2017 Nexenta Systems, Inc.  All rights reserved.
+# Copyright 2019, Joyent, Inc.
 #
 
 PROG=	fksmbcl
@@ -68,6 +69,9 @@
 # Always want DEBUG here
 CPPFLAGS += -DDEBUG
 
+# needs work
+SMOFF += all_func_returns
+
 CSTD=		$(CSTD_GNU99)
 
 CFLAGS += $(CCVERBOSE)
--- old/usr/src/lib/smbclnt/libfknsmb/Makefile.com	Thu Apr  4 13:55:28 2019
+++ new/usr/src/lib/smbclnt/libfknsmb/Makefile.com	Thu Apr  4 13:55:28 2019
@@ -24,6 +24,8 @@
 #
 # Copyright 2018 Nexenta Systems, Inc.  All rights reserved.
 #
+# Copyright 2019, Joyent, Inc.
+#
 
 LIBRARY =	libfknsmb.a
 VERS =		.1
@@ -90,6 +92,9 @@
 
 CERRWARN += -_gcc=-Wno-switch
 
+# needs work
+SMOFF += all_func_returns,deref_check,signed
+
 LDLIBS +=	$(MACH_LDLIBS)
 LDLIBS +=	-lfakekernel -lpkcs11 -lnsl -lc
 
--- old/usr/src/lib/smbclnt/libfksmbfs/Makefile.com	Thu Apr  4 13:55:28 2019
+++ new/usr/src/lib/smbclnt/libfksmbfs/Makefile.com	Thu Apr  4 13:55:28 2019
@@ -24,6 +24,8 @@
 #
 # Copyright 2018 Nexenta Systems, Inc.  All rights reserved.
 #
+# Copyright 2019, Joyent, Inc.
+#
 
 LIBRARY =	libfksmbfs.a
 VERS =		.1
@@ -104,6 +106,9 @@
 CERRWARN += -_gcc=-Wno-switch
 CERRWARN += -_gcc=-Wno-parentheses
 
+# needs work
+SMOFF += all_func_returns,deref_check,signed,or_vs_and
+
 LDLIBS +=	$(MACH_LDLIBS)
 LDLIBS +=	-lfknsmb -lfakekernel -lidmap -lcmdutils -lavl -lc
 
